Package: org.gmetrics.metric.abc.result

## [Groovy] Class AbcMetricResult

- org.gmetrics.metric.abc.result.AbcMetricResult

- All Implemented Interfaces and Traits:
    MetricResult

      class AbcMetricResult

  A MetricResult specifically for the ABC metric

  Authors:
    Chris Mair
  Version:
    \$Revision: 181 \$ - \$Date: 2011-11-28 21:30:53 -0500 (Mon, 28 Nov 2011) \$

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `AbcVector` | `abcVector`
    `int` | `count`
    `Integer` | `lineNumber`
    `Metric` | `metric`
    `MetricLevel` | `metricLevel`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbcMetricResult (Metric metric, MetricLevel metricLevel, AbcVector abcVector, Integer lineNumber = null)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `getAt(String name)`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### final AbcVector abcVector

    - #### final int count

    - #### final Integer lineNumber

    - #### final Metric metric

    - #### final MetricLevel metricLevel

  - ### Constructor Detail

    - #### AbcMetricResult(Metric metric, MetricLevel metricLevel, AbcVector abcVector, Integer lineNumber = null)

  - ### Method Detail

    - #### Object getAt(String name)

    - #### String toString()